Groovy JDK

## java.util.concurrent
Class BlockingQueue

Method Summary
`BlockingQueue` | `leftShift(Object value)` Overloads the left shift operator to provide an easy way to append objects to a BlockingQueue.

Method Detail

### leftShift

    public BlockingQueue leftShift(Object value)

  Overloads the left shift operator to provide an easy way to append objects to a BlockingQueue. In case of bounded queue the method will block till space in the queue become available

      def list = new java.util.concurrent.LinkedBlockingQueue ()
      list << 3 << 2 << 1
      assert list.iterator().collect{it} == [3,2,1]

Parameters:
  `value` - an Object to be added to the collection..

Returns:
  same collection, after the value was added to it.

Since:
  1.7.1

Groovy JDK